import { OnDestroy } from '@angular/core';
import { NtSwitchChange } from '@ng-tangram/components/switch';
export interface NtColumnSetting {
    name: string;
    label: string;
    optional?: boolean;
    enable?: boolean;
}
export declare class NtColumnControllerComponent implements OnDestroy {
    private data;
    private _destroy;
    private _displayedColumnChanges;
    columns: NtColumnSetting[];
    columnNames: string[];
    displayedColumns: string[];
    constructor(data: any);
    ngOnDestroy(): void;
    displayedColumnChanges(): import("rxjs").Observable<string[]>;
    _onChange(change: NtSwitchChange<any>, columnName: string): void;
    _trackColumnChecked(columnName: string): boolean;
}
