import { InjectionToken } from '@angular/core';
import { Routes } from '@angular/router';
export declare enum NtNavUrlTreeStrategy {
    Integrity = 0,
    OnlyParents = 1
}
export interface NtNavConfig {
    routes: Routes;
    rootDir: string;
    baseUrl?: string;
    resolvePlaceholder?: string;
    urlTreeStrategy?: NtNavUrlTreeStrategy;
}
export declare const NT_NAV_CONFIG: InjectionToken<NtNavConfig>;
