import { BehaviorSubject } from 'rxjs';
import { OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { NtNavConfig } from './nav-config';
import { NtNavMenu } from './nav-menu';
export declare class NtNavigationAdapter implements OnDestroy {
    private route;
    private router;
    config: NtNavConfig;
    private readonly destroy;
    private readonly menus;
    readonly activatedUrlTree: BehaviorSubject<any[]>;
    readonly activeUrl: BehaviorSubject<any>;
    constructor(route: ActivatedRoute, router: Router, config: NtNavConfig);
    ngOnDestroy(): void;
    getRouteMenus(): NtNavMenu[];
    private buildUrlTree;
}
